AppdefResourceType (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.appdef.server.session.AppdefResourceType class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.appdef.server.session
Class AppdefResourceType

    java.lang.Object
      org.hyperic.hibernate.PersistedObject
          org.hyperic.hq.appdef.AppdefBean
              org.hyperic.hq.appdef.server.session.AppdefResourceType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable, ContainerManagedTimestampTrackable

Direct Known Subclasses:
  ApplicationType, PlatformType, ServerType, ServiceType

    public abstract class AppdefResourceType

extends AppdefBean
implements java.lang.Comparable

See Also:
  Serialized Form

Field Summary
`protected java.lang.String` | `description`
`protected java.lang.String` | `name`
`protected java.lang.String` | `sortName`

Fields inherited from class org.hyperic.hq.appdef.AppdefBean
`cid, creationTime, modifiedTime`

Constructor Summary
`AppdefResourceType()` default constructor
`AppdefResourceType(java.lang.Integer id)`

Method Summary
`int` | `compareTo(java.lang.Object o)`
`abstract AppdefResourceTypeValue` | `getAppdefResourceTypeValue()` Deprecated. use this object instead
`abstract int` | `getAppdefType()`
`abstract int` | `getAuthzType()`
`java.lang.String` | `getDescription()`
`java.lang.String` | `getName()`
`java.lang.String` | `getSortName()`
`void` | `setDescription(java.lang.String description)`
`void` | `setName(java.lang.String name)`
`void` | `setSortName(java.lang.String sortName)`

Methods inherited from class org.hyperic.hq.appdef.AppdefBean
`allowContainerManagedCreationTime, allowContainerManagedLastModifiedTime, equals, getCid, getCreationTime, getCTime, getModifiedTime, getMTime, hashCode, matchesValueObject, setCid, setCreationTime, setModifiedTime`

Methods inherited from class org.hyperic.hibernate.PersistedObject
`get_version_, getId, set_version_, setId`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    protected java.lang.String name

### sortName

    protected java.lang.String sortName

### description

    protected java.lang.String description

Constructor Detail

### AppdefResourceType

    public AppdefResourceType()

  default constructor

### AppdefResourceType

    public AppdefResourceType(java.lang.Integer id)

Method Detail

### getAppdefType

    public abstract int getAppdefType()

### getAuthzType

    public abstract int getAuthzType()

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### getSortName

    public java.lang.String getSortName()

### setSortName

    public void setSortName(java.lang.String sortName)

### getDescription

    public java.lang.String getDescription()

### setDescription

    public void setDescription(java.lang.String description)

### compareTo

    public int compareTo(java.lang.Object o)

  Specified by:
    `compareTo` in interface `java.lang.Comparable`

### getAppdefResourceTypeValue

    public abstract AppdefResourceTypeValue getAppdefResourceTypeValue()

  Deprecated. use this object instead

  Returns:
    the type value object

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.